#!/bin/csh
# This script was created by the MEME install command
set pgm = $0; set pgm = $pgm:t
set args = ($*)
if ($#argv < 3) then
  usage:
  more << USAGE
  USAGE:
        $pgm <utility> <command> <qcmd>

	<utility>	name of program whose server to start
	<command>	command server executes; quote if spaces
	<qcmd>		queueing command including %s

	Starts the server <utility>-server if it is not already running.

	Uses <utility>-client to check if server is running.
	Updates file <utility>.startup.log
USAGE
  exit 1
endif

# get input arguments
set utility = $1
shift
set command = "$1"
shift
set qcmd = "$1"
shift

#
# set the directories and commands we need and get the machine/OS type
#
_BIN_ set bin = <MEME bin directory>
set machid = `$bin/machid`
if ($machid == "") set machid = unknown

#
# ping the server on this cpu
#
$bin/$utility-client __PING__ `hostname`
set dead = $status

#
# start the server if it didn't answer
#
if ($dead) then

  # needed for accounting at SDSC
  setenv ACCOUNT nih500

  # create or update the startup log
  cd $bin/../LOGS
  set log = $utility.startup.log
  touch $log
  echo "" >> $log
  date >> $log
  nohup ../bin/$utility-server "$command" "$qcmd" >>& $log &
  echo $utility-server started

else
  echo $utility-server is already running
endif
